# Create AI summary & chapter data

Generates AI-based summary information, chapter segmentation, and key keyword data for specific content.

Endpoint: POST /media-contents/{upload_file_key}/ai-outlines
Version: 3.0
Security: kollus_api_access_token

## Security:

  - `kollus_api_access_token` (unknown)
    apiKey in query access_token

## Path parameters:

  - `upload_file_key` (string, required)
    Upload file key

## Request fields (application/x-www-form-urlencoded):

  - `language_code` (string, required)
    Primary language used in the video or audio
    Enum: "ko", "en"

  - `ai_subtitle_kind` (integer)
    AI subtitle type setting
- `0`: Main subtitle
- `1`: Sub subtitle
    Enum: 0, 1

  - `ai_subtitle_status` (integer)
    AI subtitle visibility setting
- `0`: Private
- `1`: Public
    Enum: 0, 1

## Response 204:

  - `204` (unknown)
    OK

## Response 204 fields (application/json):

  - `data` (object)

  - `status` (string)
    Processing result
- `ok`: success
- `fail`: failure

## Response 400:

  - `400` (unknown)
    Bad request

## Response 401:

  - `401` (unknown)
    Unauthenticated

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Not found

## Response 409:

  - `409` (unknown)
    Conflict

## Response 422:

  - `422` (unknown)
    Unprocessable entity

